<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<xs:schema version="1.0" targetNamespace="http://ex.common.ossj/" xmlns:xs="http://www.w3.org/2001/XMLSchema">

  <xs:element name="createMplsVpnServiceByValue" type="ns1:createMplsVpnServiceByValue" xmlns:ns1="http://ex.common.ossj/"/>

  <xs:complexType name="createMplsVpnServiceByValue">
    <xs:sequence>
      <xs:element name="arg0" type="ns2:mplsVpnServiceValueImpl" minOccurs="0" xmlns:ns2="http://ex.common.ossj/"/>
    </xs:sequence>
  </xs:complexType>

  <xs:complexType name="mplsVpnServiceValueImpl">
    <xs:complexContent>
      <xs:extension base="ns3:serviceValueImpl" xmlns:ns3="http://ex.common.ossj/">
        <xs:sequence>
          <xs:element name="mplsVpnServiceKey" type="ns3:mplsVpnServiceKeyImpl" minOccurs="0"/>
          <xs:element name="vrfName" type="xs:string" minOccurs="0"/>
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>

  <xs:complexType name="serviceValueImpl">
    <xs:complexContent>
      <xs:extension base="ns4:entityValueImpl" xmlns:ns4="http://ex.common.ossj/">
        <xs:sequence>
          <xs:element name="mandatory" type="xs:boolean"/>
          <xs:element name="serviceKey" type="ns4:serviceKeyImpl" minOccurs="0"/>
          <xs:element name="startMode" type="xs:int"/>
          <xs:element name="state" type="xs:string" minOccurs="0"/>
          <xs:element name="subscriberId" type="xs:string" minOccurs="0"/>
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>

  <xs:complexType name="entityValueImpl">
    <xs:complexContent>
      <xs:extension base="ns5:cbeManagedEntityValueImpl" xmlns:ns5="http://ex.common.ossj/">
        <xs:sequence>
          <xs:element name="describingSpecificationKey" type="ns5:entitySpecificationKeyImpl" minOccurs="0"/>
          <xs:element name="entityKey" type="ns5:entityKeyImpl" minOccurs="0"/>
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>

  <xs:complexType name="cbeManagedEntityValueImpl">
    <xs:complexContent>
      <xs:extension base="ns6:managedEntityValueImpl" xmlns:ns6="http://ex.common.ossj/">
        <xs:sequence>
          <xs:element name="CBEManagedEntityKey" type="ns6:cbeManagedEntityKeyImpl" minOccurs="0"/>
          <xs:element name="subGraphId" type="xs:long"/>
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>

  <xs:complexType name="managedEntityValueImpl" abstract="true">
    <xs:complexContent>
      <xs:extension base="ns7:attributeAccessImpl" xmlns:ns7="http://ex.common.ossj/">
        <xs:sequence>
          <xs:element name="lastModifiedOnServer" type="xs:dateTime" minOccurs="0"/>
          <xs:element name="lastUpdateVersionNumber" type="xs:long"/>
          <xs:element name="managedEntityKey" type="ns7:managedEntityKeyImpl" minOccurs="0"/>
          <xs:element name="managedEntityKeyInstance" type="ns7:managedEntityKeyImpl" minOccurs="0"/>
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>

  <xs:complexType name="attributeAccessImpl" abstract="true"/>

  <xs:complexType name="mplsVpnServiceKeyImpl">
    <xs:complexContent>
      <xs:extension base="ns8:serviceKeyImpl" xmlns:ns8="http://ex.common.ossj/">
        <xs:sequence/>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>

  <xs:complexType name="serviceKeyImpl">
    <xs:complexContent>
      <xs:extension base="ns9:entityKeyImpl" xmlns:ns9="http://ex.common.ossj/">
        <xs:sequence/>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>

  <xs:complexType name="entityKeyImpl">
    <xs:complexContent>
      <xs:extension base="ns10:cbeManagedEntityKeyImpl" xmlns:ns10="http://ex.common.ossj/">
        <xs:sequence/>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>

  <xs:complexType name="cbeManagedEntityKeyImpl">
    <xs:complexContent>
      <xs:extension base="ns11:managedEntityKeyImpl" xmlns:ns11="http://ex.common.ossj/">
        <xs:sequence/>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>

  <xs:complexType name="managedEntityKeyImpl" abstract="true">
    <xs:sequence>
      <xs:element name="applicationContext" type="ns12:applicationContextImpl" minOccurs="0" xmlns:ns12="http://ex.common.ossj/"/>
      <xs:element name="applicationDN" type="xs:string" minOccurs="0"/>
      <xs:element name="primaryKey" type="xs:anyType" minOccurs="0"/>
      <xs:element name="type" type="xs:string" minOccurs="0"/>
    </xs:sequence>
  </xs:complexType>

  <xs:complexType name="applicationContextImpl">
    <xs:sequence>
      <xs:element name="factoryClass" type="xs:string" minOccurs="0"/>
      <xs:element name="systemProperties">
        <xs:complexType>
          <xs:sequence>
            <xs:element name="entry" minOccurs="0" maxOccurs="unbounded">
              <xs:complexType>
                <xs:sequence>
                  <xs:element name="key" minOccurs="0" type="xs:anyType"/>
                  <xs:element name="value" minOccurs="0" type="xs:anyType"/>
                </xs:sequence>
              </xs:complexType>
            </xs:element>
          </xs:sequence>
        </xs:complexType>
      </xs:element>
      <xs:element name="URL" type="xs:string" minOccurs="0"/>
    </xs:sequence>
  </xs:complexType>

  <xs:complexType name="entitySpecificationKeyImpl">
    <xs:complexContent>
      <xs:extension base="ns13:cbeManagedEntityKeyImpl" xmlns:ns13="http://ex.common.ossj/">
        <xs:sequence/>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>

  <xs:element name="createMplsVpnServiceByValueResponse" type="ns14:createMplsVpnServiceByValueResponse" xmlns:ns14="http://ex.common.ossj/"/>

  <xs:complexType name="createMplsVpnServiceByValueResponse">
    <xs:sequence>
      <xs:element name="return" type="ns15:mplsVpnServiceKeyImpl" minOccurs="0" xmlns:ns15="http://ex.common.ossj/"/>
    </xs:sequence>
  </xs:complexType>

  <xs:element name="OssIllegalArgumentException" type="ns16:OssIllegalArgumentException" xmlns:ns16="http://ex.common.ossj/"/>

  <xs:complexType name="OssIllegalArgumentException">
    <xs:sequence>
      <xs:element name="message" type="xs:string" minOccurs="0"/>
    </xs:sequence>
  </xs:complexType>

  <xs:element name="DuplicateKeyException" type="ns17:DuplicateKeyException" xmlns:ns17="http://ex.common.ossj/"/>

  <xs:complexType name="DuplicateKeyException">
    <xs:sequence>
      <xs:element name="message" type="xs:string" minOccurs="0"/>
    </xs:sequence>
  </xs:complexType>

  <xs:element name="CreateException" type="ns18:CreateException" xmlns:ns18="http://ex.common.ossj/"/>

  <xs:complexType name="CreateException">
    <xs:sequence>
      <xs:element name="message" type="xs:string" minOccurs="0"/>
    </xs:sequence>
  </xs:complexType>

  <xs:element name="setMplsVpnServiceByValue" type="ns19:setMplsVpnServiceByValue" xmlns:ns19="http://ex.common.ossj/"/>

  <xs:complexType name="setMplsVpnServiceByValue">
    <xs:sequence>
      <xs:element name="arg0" type="ns20:mplsVpnServiceValueImpl" minOccurs="0" xmlns:ns20="http://ex.common.ossj/"/>
      <xs:element name="arg1" type="xs:boolean"/>
    </xs:sequence>
  </xs:complexType>

  <xs:element name="setMplsVpnServiceByValueResponse" type="ns21:setMplsVpnServiceByValueResponse" xmlns:ns21="http://ex.common.ossj/"/>

  <xs:complexType name="setMplsVpnServiceByValueResponse"/>

  <xs:element name="ObjectNotFoundException" type="ns22:ObjectNotFoundException" xmlns:ns22="http://ex.common.ossj/"/>

  <xs:complexType name="ObjectNotFoundException">
    <xs:sequence>
      <xs:element name="message" type="xs:string" minOccurs="0"/>
    </xs:sequence>
  </xs:complexType>

  <xs:element name="OssSetException" type="ns23:OssSetException" xmlns:ns23="http://ex.common.ossj/"/>

  <xs:complexType name="OssSetException">
    <xs:sequence>
      <xs:element name="message" type="xs:string" minOccurs="0"/>
    </xs:sequence>
  </xs:complexType>

  <xs:element name="OssResyncRequiredException" type="ns24:OssResyncRequiredException" xmlns:ns24="http://ex.common.ossj/"/>

  <xs:complexType name="OssResyncRequiredException">
    <xs:sequence>
      <xs:element name="managedEntityKey" type="ns25:managedEntityKeyImpl" minOccurs="0" xmlns:ns25="http://ex.common.ossj/"/>
      <xs:element name="message" type="xs:string" minOccurs="0"/>
    </xs:sequence>
  </xs:complexType>

  <xs:element name="getMplsVpnServiceByKey" type="ns26:getMplsVpnServiceByKey" xmlns:ns26="http://ex.common.ossj/"/>

  <xs:complexType name="getMplsVpnServiceByKey">
    <xs:sequence>
      <xs:element name="arg0" type="ns27:mplsVpnServiceKeyImpl" minOccurs="0" xmlns:ns27="http://ex.common.ossj/"/>
      <xs:element name="arg1" type="xs:string" maxOccurs="unbounded" minOccurs="0"/>
    </xs:sequence>
  </xs:complexType>

  <xs:element name="getMplsVpnServiceByKeyResponse" type="ns28:getMplsVpnServiceByKeyResponse" xmlns:ns28="http://ex.common.ossj/"/>

  <xs:complexType name="getMplsVpnServiceByKeyResponse">
    <xs:sequence>
      <xs:element name="return" type="ns29:mplsVpnServiceValueImpl" minOccurs="0" xmlns:ns29="http://ex.common.ossj/"/>
    </xs:sequence>
  </xs:complexType>
</xs:schema>

